gr.zeus.ui.typesafe

## Class SimpleEditorPaneTraversal

- java.lang.Object
- - gr.zeus.ui.typesafe.SimpleEditorPaneTraversal

-     public final class SimpleEditorPaneTraversal
      extends java.lang.Object

  This class can be used to replace the default traversal keys for any JEditorPane object. As you already know when advancing focus inside a form, using the TAB key, when you reach a editor panel you need to press CTRL+TAB in order to advance the focus to the next component. With this class you can address this issue and use the TAB key instead.

  Since:
    1.50
  Author:
    Gregory Kotsaftis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleEditorPaneTraversal(javax.swing.JEditorPane ep)` Constructor, Stores a backup copy of the original traversal keys of this editor panel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeTraveralKeys()` Replaces the original traversal keys with new ones.
    `void` | `restoreTraveralKeys()` Restores the original traversal keys.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleEditorPaneTraversal

          public SimpleEditorPaneTraversal(javax.swing.JEditorPane ep)

      Constructor, Stores a backup copy of the original traversal keys of this editor panel.

      Parameters:
        `ep` - The editor panel object.

  - ### Method Detail

    - #### changeTraveralKeys

          public void changeTraveralKeys()

      Replaces the original traversal keys with new ones. After invoking this method you can advance focus out of the editor panel using only the TAB key instead of CTRL+TAB.

    - #### restoreTraveralKeys

          public void restoreTraveralKeys()

      Restores the original traversal keys.